import request from '@/utils/request'

// 查询WmNetwork列表
export function listWmNetwork(query) {
  return request({
    url: '/api/v1/wm-network',
    method: 'get',
    params: query
  })
}

// 查询WmNetwork详细
export function getWmNetwork(id) {
  return request({
    url: '/api/v1/wm-network/' + id,
    method: 'get'
  })
}

// 新增WmNetwork
export function addWmNetwork(data) {
  return request({
    url: '/api/v1/wm-network',
    method: 'post',
    data: data
  })
}

// 修改WmNetwork
export function updateWmNetwork(data) {
  return request({
    url: '/api/v1/wm-network/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除WmNetwork
export function delWmNetwork(data) {
  return request({
    url: '/api/v1/wm-network',
    method: 'delete',
    data: data
  })
}

